PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::ConstDataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > > Struct Template Reference

`#include <plask/filters/base.hpp>`

Inheritance diagram for plask::ConstDataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >:
[legend]
Collaboration diagram for plask::ConstDataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >:
[legend]

## Public Types
typedef PropertyAt< PropertyT, OutputSpaceType >::ValueType | ValueType
| Type of property value in output space.

## Public Member Functions
| ConstDataSourceImpl (const ValueType &value)
std::function< plask::optional< ValueType >(std::size_t index)> | operator() (typename PropertyT::EnumType, const shared_ptr< const MeshD< OutputSpaceType::DIM > > &, ExtraArgs..., InterpolationMethod) const override
size_t | size () const override

## Public Attributes
ValueType | value

## Detailed Description

template<typename PropertyT, typename OutputSpaceType, typename... ExtraArgs>
struct plask::ConstDataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >

Definition at line 366 of file base.hpp.

## Member Typedef Documentation

## ◆ ValueType

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

typedef PropertyAt<PropertyT,OutputSpaceType>::ValueType plask::ConstDataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::ValueType

Type of property value in output space.

Definition at line 372 of file base.hpp.

## Constructor & Destructor Documentation

## ◆ ConstDataSourceImpl()

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

plask::ConstDataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::ConstDataSourceImpl | ( | const ValueType & | value | ) |
| inline

Definition at line 376 of file base.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

std::function< plask::optional< ValueType >(std::size_t index)> plask::ConstDataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::operator() | ( | typename PropertyT::EnumType | ,
|  | const shared_ptr< const MeshD< OutputSpaceType::DIM > > & | ,
|  | ExtraArgs... | ,
|  | InterpolationMethod |
| ) |  | const
| inline override

Definition at line 378 of file base.hpp.

## ◆ size()

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

size_t plask::ConstDataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::size | ( |  | ) | const
| inline override

Definition at line 382 of file base.hpp.

## Member Data Documentation

## ◆ value

template<typename PropertyT , typename OutputSpaceType , typename... ExtraArgs>

ValueType plask::ConstDataSourceImpl< PropertyT, MULTI_FIELD_PROPERTY, OutputSpaceType, VariadicTemplateTypesHolder< ExtraArgs... > >::value

Definition at line 374 of file base.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/base.hpp